### Function

# FoundryGtk Terminal find_palette_set

#### Declaration [src]

    DexFuture*
    foundry_terminal_find_palette_set (
      const char* name
    )

#### Description [src]

Tries to locate a palette by name.

#### Parameters

`name`

  Type: `const char*`

  The palette name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryTerminalPaletteSet` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.